Subject: Re: Fatal errors on git rm (Operation not permitted)

From: Junio C Hamano <[email-masked]>
Date: Wed, 23 Dec 2009 10:33:22 -0800

Xiaolong Tang <[email-masked]> writes:

> Finally, I decide to remove this package from my laptop repository, but
> end up with the following errors:
>
> git rm -rf git-emacs
> rm 'lib/emacs/lisp/git-emacs'
> fatal: git rm: 'lib/emacs/lisp/git-emacs': Operation not permitted

We don't say "Operation not permitted" ourselves; it is coming from your C
library's strerror(3) when we got EPERM error back.  The reason you get
EPERM can vary depending on your platform and what you did to your
directories yourself, but googling for "Operation not permitted" and
randomly reading a few might give you hints.